#ifndef DESKTOPBACKGROUND_H
#define DESKTOPBACKGROUND_H

#include <QQuickItem>
#include <QQuickPaintedItem>
#include <QImage>

/*!
 * \brief   背景绘制的Item，导出由QML使用进行背景的绘制
 * \details 方便前端进行背景绘制，并提供虚化、背景图片拉伸的能力
 */
class DesktopBackground : public QQuickPaintedItem
{
    Q_OBJECT

    Q_PROPERTY(qreal blurAlpha READ blurAlpha WRITE setBlurAlpha NOTIFY blurAlphaChanged)

public:
    explicit DesktopBackground(QQuickPaintedItem *parent = nullptr);

    void paint(QPainter *painter);

    qreal blurAlpha(){
        return m_blurAlpha;
    }

    void setBlurAlpha(qreal alpha);

signals:
    void blurAlphaChanged();

private slots:
    void onBlurAlphaChanged();

private:
    void init();

    QString getBackgroundFile();

    QString m_backgroundFile;
    QImage m_background;
    QImage m_blurBackground;

    qreal m_blurAlpha;
};

#endif // DESKTOPBACKGROUND_H
